<template>
  <div class="highlight-box flex justify-between rounded-xl border-2 border-gray-300 p-3 xl:px-4">
    <p>{{ highlight.text }}</p>
    <a v-if="highlight.linkUrl" :href="highlight.linkUrl">Zum Artikel</a>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';

export default Vue.extend({
  computed: {
    ...mapState({
      highlight: (state: any) => state.highlight
    })
  }
});
</script>

<style lang="scss" scoped>
.highlight-box {
  background-color: #FAFFB4;
}
</style>
